Reset a key's counter
const url = 'https://example.com/v1/namespaces/example/keys/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/v1/namespaces/example/keys/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace name
Limiter key to reset
Responses
Section titled “Responses”Counter reset (idempotent)
Namespace/key empty
The JSON body returned for every error response: { "error": "<message>" },
optionally with a stable machine code ({ "error": ..., "code": ... }).
The code lets clients map an error to their own localized copy instead of
showing the English error string; it is present only for errors we’ve
assigned a stable code, and omitted otherwise.
object
Stable machine-readable error code for client-side localization, when one
is defined for this error (e.g. key_not_found, algorithm_not_on_plan).
Human-readable error message. Never contains internal/driver detail.
Examplegenerated
{ "code": "example", "error": "example"}Missing or invalid API key
The JSON body returned for every error response: { "error": "<message>" },
optionally with a stable machine code ({ "error": ..., "code": ... }).
The code lets clients map an error to their own localized copy instead of
showing the English error string; it is present only for errors we’ve
assigned a stable code, and omitted otherwise.
object
Stable machine-readable error code for client-side localization, when one
is defined for this error (e.g. key_not_found, algorithm_not_on_plan).
Human-readable error message. Never contains internal/driver detail.
Examplegenerated
{ "code": "example", "error": "example"}Service temporarily unavailable
The JSON body returned for every error response: { "error": "<message>" },
optionally with a stable machine code ({ "error": ..., "code": ... }).
The code lets clients map an error to their own localized copy instead of
showing the English error string; it is present only for errors we’ve
assigned a stable code, and omitted otherwise.
object
Stable machine-readable error code for client-side localization, when one
is defined for this error (e.g. key_not_found, algorithm_not_on_plan).
Human-readable error message. Never contains internal/driver detail.
Examplegenerated
{ "code": "example", "error": "example"}